
SCM Creator (+Github) - Feature #1702

Support script/plugin install

15 Apr 2011 01:14 - Andriy Lesyuk

Status: Closed Start date: 15 Apr 2011

Priority: Normal Due date: 19 May 2011

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

External issue:    

Description

SVN repositories are open public. So as I understand the following should be supported:

# ruby script/plugin install http://subversion.andriylesyuk.com/<identifier>

 

But a user reports that it says: 500 Internal Server Error

History

#1 - 19 Apr 2011 13:24 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Target version set to 0.1.0

#2 - 19 May 2011 22:55 - Andriy Lesyuk

- Due date set to 19 May 2011

- Status changed from Open to Closed

This works:

root@squeeze:/usr/share/redmine# ruby script/plugin install http://subversion.andriylesyuk.com/redmine-google-

ads

+ ./app/controllers/google_adsense_controller.rb

+ ./app/helpers/google_adsense_helper.rb

+ ./app/models/google_ad.rb

+ ./app/views/google_adsense/_form.rhtml

+ ./app/views/google_adsense/index.rhtml

+ ./app/views/google_adsense/load.rhtml

+ ./app/views/placeholders/_default.rhtml

+ ./app/views/placeholders/_issue.rhtml

+ ./app/views/placeholders/_issues.rhtml

+ ./app/views/placeholders/_project.rhtml

+ ./app/views/placeholders/_welcome.rhtml

+ ./assets/images/google.png

+ ./assets/stylesheets/admin.css

+ ./assets/stylesheets/google.css

+ ./config/locales/en.yml

+ ./config/placeholders.yml

+ ./config/routes.rb

+ ./db/migrate/001_create_google_ads.rb

+ ./init.rb

+ ./lib/google_adsense_hook.rb

+ ./lib/placeholders.rb

 

But not sure that everything is supported...
